﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Shapes;

namespace AnimationsExample
{
    public sealed partial class PageThree
    {
        public PageThree()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var rect = CreateRect();
            rect.Transitions = new TransitionCollection()
            {
                new EntranceThemeTransition()
            };
            itemsOne.Items.Add(rect);
            rect = CreateRect();
            rect.Transitions = new TransitionCollection()
            {
                new EntranceThemeTransition()
            };
            itemsOne.Items.Add(rect);
        }

        private Rectangle CreateRect()
        {
            return new Rectangle()
            {
                Width = 100,
                Height = 100,
                Fill = new SolidColorBrush(App.GetRandColor())
            };
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            itemsTwo.Items.Add(CreateRect());
            itemsTwo.Items.Add(CreateRect());
        }
    }
}
